// Color palette
$background-color: #f9f9f9;         // Light grey background, suitable for general page backgrounds
$form-background-color: #ffffff;    // White background, ideal for forms to ensure readability
$input-border-color: #ccc;          // Light grey border for inputs for subtle definition
$input-focus-border-color: #007bff; // Blue color used for input focus state, provides clear visual feedback

$button-color: #bdd248;             // Light green color for buttons, fresh and inviting
$button-text-color: #ffffff;        // White text on buttons, ensures high contrast for readability
$button-hover-color: darken($button-color, 5%); // Automatically darken the button color by 10% on hover

$success-color: #28a745;            // Green color for success messages, universally associated with success
$error-color: #dc3545;              // Red color for error messages, alerts users effectively to problems
$balck_color:#333;
// Typography
$font-primary: 'Roboto', sans-serif; // Primary font family, modern and readable

// Spacing
$padding-base: 0.8rem;               // Base padding used for consistent spacing within elements

.form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: $background-color; // Light grey background
  
    form {
      display: flex;
      flex-direction: column;
      align-items: center; // Center align form contents
      padding: 2rem;
      background: $form-background-color; // White background
      border-radius: 0.5rem;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
      width: 100%;
      max-width: 320px;
  
      input[type="email"] {
        width: 100%;
        padding: $padding-base;
        margin-bottom: 1rem;
        border: 1px solid $input-border-color; // Light grey border
        border-radius: 0.3rem;
        font-size: 1rem;
  
        &:focus {
          outline: none;
          border-color: $input-focus-border-color; // Blue focus border
        }
      }
  
      button {
        width: auto; // Adjust width to fit content with padding
        padding: 10px 45px;
        background-color: $button-color; // Light green
        color: $button-text-color; // White text
        font-size: 12px;
        border: 1px solid transparent;
        border-radius: 8px;
        font-weight: 600;
        letter-spacing: 0.5px;
        text-transform: uppercase;
        margin-top: 10px;
        cursor: pointer;
        transition: background-color 0.3s;
  
        &:hover {
          background-color: $button-hover-color; // Darker green on hover
        }
      }
    }
  
    .message {
      margin-top: 1rem;
      color: $success-color; // Success message green
      font-size: 1rem;
    }
    h2 {
      text-align: center;
      color: $balck_color;
      margin-bottom: 30px;
      }
    a {
        color: $button-color; // Use the button color for consistency
        font-size: 0.9rem;
        text-decoration: none;
        margin-top: 15px;
    
        &:hover {
          text-decoration: underline;
          color: darken($button-color, 10%);
        }
      }
  }
  
  // Styles for potentially hidden buttons
  .container button.hidden {
    background-color: transparent;
    border-color: #fff;
  }
